package dw_sdk

type Config struct {
	Public PublicConfig `json:"public" yaml:"public"`
	Proxy  *ProxyConfig `json:"proxy,omitempty"  yaml:"proxy,omitempty"`
}

type PublicConfig struct {
	Key    string `json:"key"    yaml:"key"`
	Secret string `json:"secret" yaml:"secret"`
	Env    string `json:"env"    yaml:"env"`
}

type ProxyConfig struct {
	Host string `json:"host"    yaml:"host"`
	Port string `json:"port"    yaml:"port"`
	User string `json:"user" yaml:"user"`
	Pass string `json:"pass" yaml:"pass"`
}
